Bug 563607 - patch for btree/bt_verify.c (Berkeley DB 4.3.29)
patch for btree/bt_verify.c (Berkeley DB 4.3.29)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: db4 (Show other bugs)
5.4.z
All Linux
high Severity medium
: rc
: ---
Assigned To: Jan Staněk
qe-baseos-daemons
: ZStream
Depends On:
Blocks: 472131 589879 589880
  Show dependency treegraph
 
Reported: 2010-02-10 12:34 EST by Noriko Hosoi
Modified: 2013-09-23 07:24 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-23 07:24:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
patch for btree/bt_verify.c (Berkeley DB 4.3.29) (5.05 KB, patch)
2010-02-10 12:34 EST, Noriko Hosoi
no flags Details | Diff

  None (edit)
Description Noriko Hosoi 2010-02-10 12:34:29 EST
Created attachment 390063 [details]
patch for btree/bt_verify.c (Berkeley DB 4.3.29)

Description of problem:
Berkeley DB 4.7.25 has a bug in the btree/db_verify.c.  The bug has been fixed
in BDB 4.8.26.  I back ported the fix to BDB 4.7.25.

For details see this bug.

Bug 472131 -  dbverify: when a duplicate is large enough to have internal
page(s), dbverify issues bogus out-of-order key errors
Comment 1 Noriko Hosoi 2010-02-10 12:37:20 EST
(In reply to comment #0)
> Created an attachment (id=390063) [details]
> patch for btree/bt_verify.c (Berkeley DB 4.3.29)
> 
> Description of problem:
> Berkeley DB 4.7.25 has a bug in the btree/db_verify.c.  The bug has been fixed
> in BDB 4.8.26.  I back ported the fix to BDB 4.7.25.

Sorry, it's a copy and paste error.  I back ported the 4.8.26 fix to BDB 4.3.29.
Comment 10 Scott Haines 2010-05-04 13:26:00 EDT
Proposing for RHEL5.6.

Note You need to log in before you can comment on or make changes to this bug.